#!/bin/sh
a= . install2-init-functions


sed -i 's/ALT Linux/KOMETA/' $destdir/etc/rc.d/rc.sysinit

echo 'NAME="KOMETA"'>$destdir/etc/os-release
echo 'VERSION="Sport"'>>$destdir/etc/os-release
echo 'ID=kometa'>>$destdir/etc/os-release
echo 'VERSION_ID=3.3'>>$destdir/etc/os-release
echo 'PRETTY_NAME="KOMETA Sport CSS"'>>$destdir/etc/os-release
echo 'ANSI_COLOR="1;33"'>>$destdir/etc/os-release

#Добавление тёмной картинки в sddm
sed -i 's/default.png/bgsportdark.png/g' $destdir/usr/share/sddm/themes/breeze/theme.conf

#Добавление тёмной картинки в lockscreen и загрузки-выходы
echo "[Greeter][Wallpaper][org.kde.image][General]">$destdir/etc/skel/.config/kscreenlockerrc
echo "Image=/usr/share/design/current/backgrounds/bgsportdark.png">>$destdir/etc/skel/.config/kscreenlockerrc
sed -i 's/default.png/bgsportdark.png/g' $destdir/usr/share/kf5/plasma/look-and-feel/org.kde.breeze.desktop/contents/userswitcher/UserSwitcher.qml
sed -i 's/default.png/bgsportdark.png/g' $destdir/usr/share/kf5/plasma/look-and-feel/org.kde.breeze.desktop/contents/splash/Splash.qml
sed -i 's/default.png/bgsportdark.png/g' $destdir/usr/share/kf5/plasma/look-and-feel/org.kde.breeze.desktop/contents/logout/Logout.qml

#Настройка дефолтных реп
echo "">>$destdir/etc/apt/sources.list
raz=`cat $destdir/etc/apt/sources.list.d/yandex.list|grep x86_64`
if [ "$raz" != "" ];
then
echo "rpm http://oskometa.ru/repo/ x86_64 hasher">>$destdir/etc/apt/sources.list
else
echo "rpm http://oskometa.ru/repo/ i586 hasher">>$destdir/etc/apt/sources.list
fi
sed -i '/http/s/#//g' $destdir/etc/apt/sources.list.d/yandex.list

#Настройка системы
echo "#!/bin/sh">$destdir/etc/firsttime.d/mysetup.sh
echo "systemctl enable cups.service">>$destdir/etc/firsttime.d/mysetup.sh
echo "systemctl enable sshd.service">>$destdir/etc/firsttime.d/mysetup.sh
echo "systemctl enable bluetooth.service">>$destdir/etc/firsttime.d/mysetup.sh
chmod +x $destdir/etc/firsttime.d/mysetup.sh

#Отключение tmpfs по дефолту
sed -i '/tmpfs/s/tmpfs/#tmpfs/' $destdir/etc/fstab
echo "/home/tmp       /tmp    auto    bind,rw,nosuid  0       0">>$destdir/etc/fstab

#Скрипт update
echo "#!/bin/sh">$destdir/root/upd.sh
echo "apt-get update">>$destdir/root/upd.sh
echo "apt-get -y dist-upgrade">>$destdir/root/upd.sh
echo "update-kernel -f">>$destdir/root/upd.sh
